Merge pull request #2 from Botspot/master

Updated my Fork
pull/392/head
slashtechno 4 years ago committed by GitHub
commit d261b2408c
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23

@ -6,7 +6,7 @@ On day one, he tries to install a few familiar Windows apps. If he's lucky, he'l
Something needs to be done! Why hasn't anybody made a **collection of bash scripts that install apps easily**?
Pi-Apps does exactly this - distributing over 50 useful app install scripts that are executed with one click of the mouse.
**[ETA Prime](https://www.youtube.com/watch?v=oqNWJ52DLes)** (the most famous RPi YouTuber) says:
**[ETA Prime](https://www.youtube.com/watch?v=oqNWJ52DLes)** (a very well known RPi YouTuber) says:
> "It's an **awesome** Raspberry Pi app store and it works really well and there's **lots of great stuff** in here and it's super easy to install.
> I want to give the devs of Pi-Apps a big shout-out."
@ -62,10 +62,9 @@ Use the main window to quickly browse the selection of apps and easily install t
![updates](https://github.com/Botspot/pi-apps/blob/master/icons/screenshots/updates%20available.png?raw=true)
- Pi-Apps **Settings** can be configured by launching Menu -> Preferences -> Pi-Apps Settings.
![settings](https://github.com/Botspot/pi-apps/blob/master/icons/screenshots/settings.png?raw=true)
- If you click **New App** in Settings, you can easily create your own Apps using the Create App Wizard.
![create app](https://github.com/Botspot/pi-apps/blob/master/icons/screenshots/create%20app.png?raw=true)
It helps you select an icon, create & debug install/uninstall scripts, write a description, and more.
## To-do
- [X] Make app creation system. (completed with the `createapp` script)
- [X] Add Pi-Apps to Twister OS. (completed on 11/2/2020 via the Twister 1.8.5 patch.)
- [X] Make 32-bit and 64-bit install scripts.
@ -110,7 +109,81 @@ Each app folder contains some of these files:
- `install-64` This script installs an app on 64bit OS'es, and is 64bit-specific.
Sidenote: if an app only has an `install-32` script, then Pi-Apps will assume it's for 32bit OS'es only and will hide that app on 64bit installations.
- `uninstall` This script uninstalls the app. It must undo all changes made during install, but with one exception: **It must not permanently delete any user-generated config!** [We don't want people's Minecraft worlds being deleted during an update.](https://github.com/Botspot/pi-apps/issues/44)
<details>
<summary>Creating an app</summary>
It's easy to make your own Pi-App.
- First, launch Pi-Apps Settings.
- Click New App.
- This launches the Create App Wizard. This series of dialog boxes will guide you through the process of making your very own app.
- It will ask for:
- **Name** of app (**required**)
- **Icon**: should be a **square** icon, at least **64x64** px. Note that Windows .bmp icons rarely scale properly.
- **Website**: In general, the website link should point to where users will find **help** and more **information** about the app.
- OS architecture **compatibility**: Select if your app is **32-bit** compatible, **64-bit** compatible, or **both**.
- **Description**: Explain to a total noob user **what the app is**, what the app **does**, and how to get it running.
- **Credits**: Give yourself credit for adding it to Pi-Apps! :)
- In the subsequent pages, Pi-Apps will assist you in making your own **bash scripts** to install and uninstall the app.
What's a *bash script*? I'm glad you asked.
Basically, ask yourself this question: "**What commands should I run in a terminal to install this app?**"
Simply **write down all those commands in a file** Pi-Apps opens for you.
Here's the `install-32` script from the Arduino app: (located at `~/pi-apps/apps/Arduino/install-32`)
```bash
#!/bin/bash
DIRECTORY="$(dirname "$(dirname "$( cd "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )")")"
function error {
echo -e "\\e[91m$1\\e[39m"
exit 1
}
wget https://downloads.arduino.cc/arduino-1.8.13-linuxarm.tar.xz || error "failed to download!"
tar -xf arduino-1.8.13-linuxarm.tar.xz || error "failed to extract with tar!"
arduino-1.8.13/install.sh || error "failed to run install as non-root user!"
sudo arduino-1.8.13/install.sh || error "failed run install as root user!"
rm $HOME/Desktop/arduino-arduinoide.desktop
rm arduino-1.8.13-linuxarm.tar.xz
exit 0
```
Let's walk through the script, one line at a time.
- This stuff belongs at the top of all Pi-Apps scripts. Don't worry much about it.
```bash
#!/bin/bash
DIRECTORY="$(dirname "$(dirname "$( cd "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )")")"
function error {
echo -e "\\e[91m$1\\e[39m"
exit 1
}
```
- This downloads the Arduino software from [Arduino's downloads page](https://www.arduino.cc/en/software):
```bash
wget https://downloads.arduino.cc/arduino-1.8.13-linuxarm.tar.xz || error "failed to download!"
```
- Oh, but what's that above? `error`? The `error` command is used in Pi-Apps scripts, to exit if something goes wrong. For example, if the above line *failed* to download Arduino for some reason, the script will **stop and talk**. (in the terminal, it will exit with a bright red error saying "`failed to download!`")
- This line extracts the zipped folder we just downloaded: (again, notice the `error` command that will notify us if this current command fails)
```bash
tar -xf arduino-1.8.13-linuxarm.tar.xz || error "failed to extract with tar!"
```
- These two commands run Arduino's built-in installation bash scripts:
```bash
arduino-1.8.13/install.sh || error "failed to run install as non-root user!"
sudo arduino-1.8.13/install.sh || error "failed run install as root user!"
```
- And this remaining portion of the script will clean up unnecessary files afterwards.
```bash
rm $HOME/Desktop/arduino-arduinoide.desktop
rm arduino-1.8.13-linuxarm.tar.xz
exit 0
```
- Notice that these above commands don't have `error`s. That's because we don't care if these commands fail.
</details>
### Directory tree
- `~/pi-apps/` This is the main folder that holds everything. In all scripts, it is represented as the `${DIRECTORY}` variable.
- `CHANGELOG.md` [This file](https://github.com/Botspot/pi-apps/blob/master/CHANGELOG.md) is a written history for all important events for Pi-Apps, including dates for when each app was added. It's worth a read! :)

@ -8,8 +8,8 @@ function error {
}
cd $HOME
wget https://github.com/angryip/ipscan/releases/download/3.7.3/ipscan_3.7.3_all.deb
wget https://github.com/angryip/ipscan/releases/download/3.7.6/ipscan_3.7.6_all.deb
# Get dependencies
"${DIRECTORY}/pkg-install" "openjdk-11-jdk rpm fakeroot" "$(dirname "$0")" || exit 1
sudo apt --fix-broken -y install ~/ipscan_3.7.3_all.deb
rm ~/ipscan_3.7.3_all.deb
sudo apt --fix-broken -y install ~/ipscan_3.7.6_all.deb
rm ~/ipscan_3.7.6_all.deb

@ -7,10 +7,10 @@ function error {
exit 1
}
rm -f ./etcher_1.5.111_armv7l.deb
rm -f ./etcher_1.5.113_armv7l.deb
wget https://github.com/Itai-Nelken/Etcher-arm-32-64/releases/download/v1.5.113/balena-etcher-electron_1.5.113+1dc56aed_armv7l.deb -O ~/etcher-v1.5.113_armv7l.deb || error "Failed to download!"
wget https://github.com/Itai-Nelken/Etcher-arm-32-64/releases/download/v1.5.114/balena-etcher-electron_1.5.114+5c204219_armv7l.deb -O ~/etcher-v1.5.114_armv7l.deb || error "Failed to download!"
sudo apt install -y --fix-broken ~/etcher-v1.5.113_armv7l.deb || error "failed to install deb file!"
rm -f ~/etcher-v1.5.113_armv7l.deb
sudo apt install -y --fix-broken ~/etcher-v1.5.114_armv7l.deb || error "failed to install deb file!"
rm -f ~/etcher-v1.5.114_armv7l.deb
exit 0

@ -9,10 +9,10 @@ function error {
exit 1
}
rm -f ~/etcher-v1.5.112_arm64.deb
rm -f ~/etcher-v1.5.113_arm64.deb
wget https://github.com/Itai-Nelken/Etcher-arm-32-64/releases/download/v1.5.113/balena-etcher-electron_1.5.113+1dc56aed_arm64.deb -O ~/etcher-v1.5.113_arm64.deb || error "Failed to download!"
wget https://github.com/Itai-Nelken/Etcher-arm-32-64/releases/download/v1.5.114/balena-etcher-electron_1.5.114+5c204219_arm64.deb -O ~/etcher-v1.5.114_arm64.deb || error "Failed to download!"
sudo apt install -y --fix-broken ~/etcher-v1.5.113_arm64.deb || error "failed to install deb file!"
rm -f ~/etcher-v1.5.113_arm64.deb
sudo apt install -y --fix-broken ~/etcher-v1.5.114_arm64.deb || error "failed to install deb file!"
rm -f ~/etcher-v1.5.114_arm64.deb
exit 0

@ -7,7 +7,7 @@ function error {
exit 1
}
wget -O ~/Cura.AppImage https://github.com/smartavionics/Cura/releases/download/20210213/Cura-mb-master-armhf-20210213.AppImage || error "Failed to download!"
wget -O ~/Cura.AppImage https://github.com/smartavionics/Cura/releases/download/20210224/Cura-mb-master-armhf-20210224.AppImage || error "Failed to download!"
chmod +x ~/Cura.AppImage

@ -7,7 +7,7 @@ function error {
exit 1
}
wget -O ~/Cura.AppImage https://github.com/smartavionics/Cura/releases/download/20210213/Cura-mb-master-aarch64-20210213.AppImage || error "Failed to download!"
wget -O ~/Cura.AppImage https://github.com/smartavionics/Cura/releases/download/20210224/Cura-mb-master-aarch64-20210224.AppImage || error "Failed to download!"
chmod +x ~/Cura.AppImage

@ -14,9 +14,9 @@ cd ~/discord-electron || error "Failed to enter discord-electron folder!"
tagname="$(curl --silent "https://api.github.com/repos/SpacingBat3/electron-discord-webapp/releases/latest" | grep -Po '"tag_name": "\K.*?(?=")' | tr -d 'v')"
if [ -z "$tagname" ];then
#if [ -z "$tagname" ];then
tagname='0.1.5'
fi
#fi
#Download from github
wget https://github.com/SpacingBat3/electron-discord-webapp/releases/download/v${tagname}/electron-discord-webapp-${tagname}-armv7l.tar.gz || error 'Failed to download archive!'

@ -14,9 +14,9 @@ cd ~/discord-electron || error "Failed to enter discord-electron folder!"
export tagname="$(curl --silent "https://api.github.com/repos/SpacingBat3/electron-discord-webapp/releases/latest" | grep -Po '"tag_name": "\K.*?(?=")' | tr -d 'v')"
if [ -z "$tagname" ];then
#if [ -z "$tagname" ];then
tagname='0.1.5'
fi
#fi
#Download from github
wget https://github.com/SpacingBat3/electron-discord-webapp/releases/download/v${tagname}/electron-discord-webapp-${tagname}-arm64.tar.gz || error 'Failed to download archive!'

@ -9,7 +9,7 @@ function error {
#Downloading Deb File For FreeTube
rm -f ~/freetube.deb
wget https://archive.org/download/freetube_0.11.2_armv7l/freetube_0.11.2_armv7l.deb -O ~/freetube.deb || error "Failed to download freetube.deb!"
wget https://archive.org/download/freetube_0.11.2_armv7l/freetube_0.11.3_armv7l.deb -O ~/freetube.deb || error "Failed to download freetube.deb!"
#Installing FreeTube
sudo apt install -y --fix-missing ~/freetube.deb || error "APT failed to install freetube.deb!"

@ -9,7 +9,7 @@ function error {
#Downloading Deb File For FreeTube
rm -f ~/freetube.deb
wget https://github.com/FreeTubeApp/FreeTube/releases/download/v0.11.2-beta/freetube_0.11.2_arm64.deb -O ~/freetube.deb || error "Failed to download freetube.deb!"
wget https://github.com/FreeTubeApp/FreeTube/releases/download/v0.11.3-beta/freetube_0.11.3_arm64.deb -O ~/freetube.deb || error "Failed to download freetube.deb!"
#Installing FreeTube
sudo apt install -y --fix-missing ~/freetube.deb || error "APT failed to install freetube.deb!"

@ -0,0 +1 @@
Botspot. Oh yeah.

@ -0,0 +1,3 @@
Proper appearance theme for the Geany text editor.
Geany's default color scheme looks horrible. Fortunately, this app will make it look good.
By default, this will apply the "spyder-dark" theme, (Botspot's favorite!), but it will also install a bunch of other themes for you to try out as well.

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.5 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 4.4 KiB

@ -0,0 +1,27 @@
#!/bin/bash
DIRECTORY="$(dirname "$(dirname "$( cd "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )")")"
function error {
echo -e "\\e[91m$1\\e[39m"
exit 1
}
#get theme files
rm -rf ~/geany-themes
git clone --depth 1 https://github.com/codebrainz/geany-themes || error "Failed to git clone the geany themes repository!"
#copy theme files
mkdir -p ~/.config/geany/colorschemes
cp -a ~/geany-themes/colorschemes/. ~/.config/geany/colorschemes || error "Failed to copy colorschemes to $HOME/.config/geany/colorschemes"
#clear geany's pre-existing color_scheme entry
sed -i 's/color_scheme=.*/color_scheme=spyder-dark.conf/g' ~/.config/geany/geany.conf
#clean up
rm -rf ~/geany-themes
if [ ! -z "$(ps aux | grep 'geany' | grep -v grep)" ];then
echo -e "\nGeany text editor is currently running.\nPlease close Geany and launch it again to apply the new theme."
sleep 5
fi

@ -0,0 +1,30 @@
#!/bin/bash
DIRECTORY="$(dirname "$(dirname "$( cd "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )")")"
function error {
echo -e "\\e[91m$1\\e[39m"
exit 1
}
#get theme files
rm -rf ~/geany-themes
git clone --depth 1 https://github.com/codebrainz/geany-themes || error "Failed to git clone the geany themes repository!"
#remove all downloaded themes from .config
files="$(cd ~/geany-themes/colorschemes
ls)"
#no need for that repo anymore
rm -f ~/geany-themes &>/dev/null
IFS=$'\n'
for file in $files ;do
rm -f ~/".config/geany/colorschemes/$file"
done
#clear geany's color_scheme entry
sed -i 's/color_scheme=.*/color_scheme=/g' ~/.config/geany/geany.conf
exit 0

@ -0,0 +1 @@
https://github.com/codebrainz/geany-themes

@ -4,8 +4,10 @@
## Config
##
MCPI_REBORN_VERSION='build_28'
MCPIL_VERSION='0.1.8'
# Used To Trigger Updates
MCPI_REBORN_VERSION='build_37'
# MCPIL Version
MCPIL_VERSION='0.1.9'
set -e
@ -32,9 +34,9 @@ if [[ "$(lsb_release -cs)" != "buster" && "$(lsb_release -cs)" != "bullseye" &&
fi
# Remove Old Minecraft Pi
sudo apt-get remove -y minecraft-pi >/dev/null || :
sudo apt-get remove -y minecraft-pi-native >/dev/null || :
sudo apt-get remove -y mcpil-r >/dev/null || :
sudo apt-get remove -y minecraft-pi &>/dev/null || true
sudo apt-get remove -y minecraft-pi-native &>/dev/null || true
sudo apt-get remove -y mcpil-r &>/dev/null || true
# Debian Buster Support
if [[ "$(lsb_release -cs)" = "buster" ]]; then
@ -46,7 +48,8 @@ if [[ "$(lsb_release -cs)" = "buster" ]]; then
# Install Backports Repository
echo 'deb http://deb.debian.org/debian buster-backports main' | sudo tee -a /etc/apt/sources.list
# Sign backports repo
sudo apt update 2>&1 1>/dev/null | sed -ne 's/.*NO_PUBKEY //p' | while read key; do if ! [[ ${keys[*]} =~ "$key" ]]; then sudo apt-key adv --keyserver hkp://pool.sks-keyservers.net:80 --recv-keys "$key"; keys+=("$key"); fi; done
sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 04EE7237B7D453EC
sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 648ACFD622F3D138
# Update APT Index
sudo apt-get update
# Install Updated libseccomp2

@ -0,0 +1,4 @@
Added to Pi-Apps by Itai-Nelken
compiled by Itai-Nelken
armhf DEB packaged using QEMU2DEB (tool by Itai-Nelken) by Itai-Nelken.
arm64 DEB packaged with checkinstall by Itai-Nelken.

@ -0,0 +1,4 @@
QEMU is a generic and open source machine emulator and virtualizer.
Latest version of QEMU, Not outdated like the repository's QEMU.
if you ever had trouble using the repository's QEMU, this version will work way better.
(for example the MacOS 9 dock doesn't appear using the repository's QEMU).

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.5 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 4.6 KiB

@ -0,0 +1,16 @@
#!/bin/bash
DIRECTORY="$(dirname "$(dirname "$( cd "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )")")"
function error {
echo -e "\\e[91m$1\\e[39m"
exit 1
}
cd $HOME
#Download QEMU
rm -f ./qemu-5.2.50-armhf.deb
wget https://archive.org/download/macos_921_qemu_rpi/qemu-5.2.50-armhf.deb || error 'Failed to Download QEMU!'
#Install QEMU
sudo apt install --fix-broken -y ./qemu-5.2.50-armhf.deb || error 'Failed to install QEMU!'
rm qemu-5.2.50-armhf.deb

@ -0,0 +1,15 @@
#!/bin/bash
DIRECTORY="$(dirname "$(dirname "$( cd "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )")")"
function error {
echo -e "\\e[91m$1\\e[39m"
exit 1
}
cd $HOME
#Download QEMU
wget https://archive.org/download/macos_921_qemu_rpi/qemu_5.2.50-1_arm64.deb || error 'Failed to Download QEMU!'
#Install QEMU
sudo apt install --fix-broken -y ./qemu_5.2.50-1_arm64.deb || error 'Failed to unstall QEMU!'
rm qemu_5.2.50-1_arm64.deb

@ -7,5 +7,5 @@ function error {
exit 1
}
rm -rf ~/WhatsAppWeb
rm ~/.local/share/applications/whatsappweb.desktop
sudo apt purge -y qemu
sudo apt autoremove -y

@ -0,0 +1 @@
https://www.qemu.org/

@ -1,3 +1,3 @@
webapp made by Itai-Nelken based on phoenixbyrd's webapps.
scripts written by Itai-Nelken
apps compiled using Nativefier and scripts written by Itai-Nelken
Nativefier made by jiahaog.
thanks to Botspot for help with debugging the menu shortcut and for creating pi-apps!

@ -1,8 +1,7 @@
Nativefier Whatsapp Web webapp
a simple Whatsapp Web chromium webapp
a simple Whatsapp Web chromium webapp wrapped in electron with nativefier.
it has a tray icon, so it doesn't take space on the taskbar, but keeps running in the background.
to run:
menu>internet>Whatsapp Web
or type in terminal:
~/WhatsappWeb/whatsappweb.sh
menu>internet>Whatsapp Web

@ -1,26 +0,0 @@
#!/bin/bash
DIRECTORY="$(dirname "$(dirname "$( cd "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )")")"
function error {
echo -e "\\e[91m$1\\e[39m"
exit 1
}
cd $HOME
mkdir -p ~/WhatsappWeb/userdata
echo "#!/bin/bash
chromium-browser %U --user-agent='Mozilla/5.0 (X11; CrOS armv7l 11895.95.0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/74.0.3729.125 Safari/537.36' --user-data-dir=$HOME/WhatsappWeb/userdata --app=https://web.whatsapp.com/ --window-size=1200,700" > ~/WhatsappWeb/whatsappweb.sh
sudo chmod +x ~/WhatsappWeb/whatsappweb.sh
echo "[Desktop Entry]
Name=Whatsapp Web
Comment=Whatsapp Web webapp.
Exec=$HOME/WhatsappWeb/whatsappweb.sh
Path=$HOME/WhatsappWeb
Icon=$(dirname "$0")/icon-64.png
Terminal=false
StartupNotify=true
Type=Application
Categories=Network;" > ~/.local/share/applications/whatsappweb.desktop || error "Failed to create menu button!"

@ -7,19 +7,20 @@ function error {
exit 1
}
wget https://github.com/Itai-Nelken/Nativefier-WebApps/releases/download/v1.0/WhatsAppWeb-linux-arm64.tray.tar.xz || error 'Failed to download!'
tar -xf WhatsAppWeb-linux-arm64.tray.tar.xz || error "Failed to extract!"
rm WhatsAppWeb-linux-arm64.tray.tar.xz
mv "WhatsAppWeb-linux-arm64(tray)" WhatsAppWeb
cd $HOME
rm -f WhatsAppWeb-linux-armv7l.tar.xz
wget https://github.com/Itai-Nelken/Nativefier-WebApps/releases/download/v1.0/WhatsAppWeb-linux-armv7l.tar.xz || error 'Failed to download!'
tar -xf WhatsAppWeb-linux-armv7l.tar.xz || error "Failed to extract!"
rm WhatsAppWeb-linux-armv7l.tar.xz
mv "WhatsAppWeb-linux-armv7l" WhatsAppWeb
echo "[Desktop Entry]
Name=Whatsapp Web
Comment=Nativefier Whatsapp Web webapp.
Exec=$HOME/WhatsAppWeb/WhatsAppWeb
Path="$HOME/WhatsAppWeb"
Path=$HOME/WhatsAppWeb
Icon=$(dirname "$0")/icon-64.png
Terminal=false
StartupNotify=true
Type=Application
Categories=Network;" > ~/.local/share/applications/whatsappweb.desktop || error "Failed to create menu button!"

@ -7,10 +7,12 @@ function error {
exit 1
}
wget https://github.com/Itai-Nelken/Nativefier-WebApps/releases/download/v1.0/WhatsAppWeb-linux-armv7l.tray.tar.xz || error 'Failed to download!'
tar -xf WhatsAppWeb-linux-armv7l.tray.tar.xz || error "Failed to extract!"
rm WhatsAppWeb-linux-armv7l.tray.tar.xz
mv "WhatsAppWeb-linux-armv7l(tray)" WhatsAppWeb
cd $HOME
rm -f WhatsAppWeb-linux-arm64.tar.xz
wget https://github.com/Itai-Nelken/Nativefier-WebApps/releases/download/v1.0/WhatsAppWeb-linux-arm64.tar.xz || error 'Failed to download!'
tar -xf WhatsAppWeb-linux-arm64.tar.xz || error "Failed to extract!"
rm WhatsAppWeb-linux-arm64.tar.xz
mv "WhatsAppWeb-linux-arm64" WhatsAppWeb
echo "[Desktop Entry]
Name=Whatsapp Web

@ -1,3 +0,0 @@
apps compiled using Nativefier and scripts written by Itai-Nelken
Nativefier made by jiahaog.
thanks to Botspot for help with debugging the menu shortcut and for creating pi-apps!

@ -7,5 +7,9 @@ function error {
exit 1
}
rm -f ~/.local/share/applications/whatsappweb.desktop
rm -rf ~/WhatsappWeb
#for backwards compatibility with the chromium version
rm -rf ~/WhatsappWeb &>/dev/null
rm -rf ~/WhatsAppWeb
rm ~/.local/share/applications/whatsappweb.desktop
exit 0

@ -1,7 +1,7 @@
Run x86 Windows apps with a box86-emulated version of x86 wine.
To run: wine path/to/file.exe
To configure wine: go to 'Wine configuration' in main menu or type in terminal: wine winecfg
Not all Windows applications will work under WINE. It's a good idea to check online if your program can run, or if WINE needs some setting changes to get it to work.
Not all Windows applications will work under Wine. It's a good idea to check online if your program can run, or if something can be tweaked to make it work.
Note: the applications installed with wine will appear under the wine category in the main menu, and they will stay there even after uninstalling wine.

@ -129,6 +129,8 @@ else
echo "Your system is using a 3G/1G kernel. Continuing..."
fi
#Past this point, the pi is running a Wine-compatible kernel.
if [ ! -f /usr/local/bin/box86 ];then
echo 'Installing box86 first...'
wget -qO- https://raw.githubusercontent.com/Botspot/box86-updater/main/update-box86 | bash
@ -207,5 +209,15 @@ Categories=System;" > ~/.local/share/applications/wine-explorer.desktop
# Boot wine (make fresh wineprefix in ~/.wine
BOX86_NOBANNER=1
setarch linux32 -L box86 ~/wine/bin/wine wineboot
#wait until above process exits
while [ ! -z "$(ps aux | grep -i 'wine C:' | grep -v grep)" ];do
sleep 1
done
echo "First wineboot finished. Now updating wine prefix..."
#update the wine prefix (~/.wine) to fix the issue that causes wine to not know its system drive
wine wineboot -u
#running as background process - terminal will exit but that's ok
setsid wine wineboot -u
exit 0

@ -7,15 +7,17 @@ function error {
exit 1
}
rm -rf ~/.wine
sudo rm -rf /usr/local/bin/wine
sudo rm /usr/local/bin/winecfg
sudo rm /usr/local/bin/wineserver
rm -rf ~/wine
#if your app installs any packages, keep this command here so those packages will be removed.
"${DIRECTORY}/purge-installed" "$(dirname "$0")" || exit 1
sudo rm -f /usr/local/bin/wine /usr/local/bin/winecfg /usr/local/bin/wineserver /usr/local/bin/wineboot
rm -rf ~/wine ~/.cache/winetricks ~/.cache/wine
rm ~/.local/share/applications/wine-config.desktop || error 'Failed to remove winecfg menu shortcut!'
rm ~/.local/share/applications/winetricks.desktop || error 'Failed to remove winetricks menu shortcut!'
rm ~/.local/share/applications/wine-explorer.desktop || error 'Failed to remove wine desktop menu shortcut!'
#if your app installs any packages, keep this command here so those packages will be removed.
"${DIRECTORY}/purge-installed" "$(dirname "$0")" || exit 1
echo -e "\e[93mYou just uninstalled the Wine app, but it's not completely gone yet.
To prevent accidental data loss, your Wine configuration is still located in the $HOME/.wine folder. Feel free to delete it to save space or to troubleshoot problems.
Thanks for reading! -Botspot\e[39m"

@ -34,6 +34,6 @@ Type=Application
Categories=Application;Development;IDE;
Comment=jGRASP IDE
StartupNotify=true
Keywords=Text;Editor;" > "$([ -e "$HOME/.local/share/applications" ] && echo "$HOME/.local/share/applications || echo /usr/share/applications)/jgrasp.desktop"
Keywords=Text;Editor;" > "$([ -e "$HOME/.local/share/applications" ] && echo "$HOME/.local/share/applications" || echo /usr/share/applications)/jgrasp.desktop"

@ -24,12 +24,16 @@ Email Checker|Internet
FreeCAD|Editors/FreeCAD
FreeCAD (precompiled)|Editors/FreeCAD
FreeTube|Internet
Geany Dark Mode|Eyecandy
Intellij IDEA|Editors
jGRASP IDE|Editors
LibrePCB|Editors
Lightpad|Eyecandy
Lokinet|Internet
Mesa 20.3|Tools
Minecraft Bedrock|Games
Minecraft Java|Games
Minecraft Pi (Modded)|Games
Mission Planner|Tools
Node.js|Internet
OBS Studio|Tools
@ -37,15 +41,15 @@ PiGro|Tools
piKiss|Tools
Pi Power Tools|Tools
Powerline-Shell|Eyecandy
Processing javascript|Editors
Processing IDE|Editors
PrusaSlicer|Editors
Puffin Browser Demo|Internet
Pycharm CE|Editors
QEMU|Tools
Raspi2png|Tools
Remarkable|Editors
Retropie|Games
Scrcpy|Tools
Snapdrop|
Snap Store|Tools
Sonic Pi 3.2|Editors
SpeedTest-CLI|Internet
@ -66,10 +70,10 @@ VeraCrypt|Tools
Visual Studio Code|Editors
Vivaldi|Internet
VSCodium|Editors
WACUP (new WinAmp)|Windows apps
Whatsapp|Internet
Windows 10 Theme|Eyecandy
Wine (x86)|Tools
WPS Office|Editors
YouTubuddy|Internet
Zoom|Internet
Minecraft Pi (Modded)|Games

@ -11,6 +11,8 @@ elif [ -f /usr/bin/mate-terminal ];then
mate-terminal --title="$2" -e "bash -c "\""$1"\"""
elif [ -f /usr/bin/xterm ];then
xterm -T "$2" -e bash -c "$1"
elif [ -f /usr/bin/konsole ];then
konsole -p tabtitle="$2" -e bash <(echo "$1")
elif [ -f /usr/bin/x-terminal-emulator ];then
$(readlink -f /usr/bin/x-terminal-emulator) -e bash -c "$1"
else

15
gui

@ -27,9 +27,6 @@ fi
"${DIRECTORY}/etc/categoryedit" "RetroPie" 'hidden'
"${DIRECTORY}/etc/categoryedit" "Doom 3" 'Games') &
gio trash "${DIRECTORY}/apps/Minecraft Pi" 2>/dev/null
gio trash "${DIRECTORY}/apps/MCPi Reborn" 2>/dev/null
(if [ ! -f /usr/local/bin/pi-apps ] || ! grep -q /usr/local/bin/pi-apps "${DIRECTORY}/gui";then
rm /usr/local/bin/pi-apps
echo "#!/bin/bash
@ -44,16 +41,12 @@ if [ -f "${DIRECTORY}/data/hidelist" ] || [ ! -d "${DIRECTORY}/data/categories"
rm "${DIRECTORY}/data/hidelist"
fi
#rename 'Vivaldi web browser' to Vivaldi
(mv "${DIRECTORY}/apps/TeamViewer" "${DIRECTORY}/apps/TeamViewer Host" 2>/dev/null
mv "${DIRECTORY}/data/status/TeamViewer" "${DIRECTORY}/data/status/TeamViewer Host" 2>/dev/null
if [ -z "$(grep -r 'TeamViewer Host' /home/pi/pi-apps/data/preload)" ];then
rm -rf "$DIRECTORY/data/preload"
fi
#wine fix without losing data in ~/.wine
(
wget -qO- https://gist.githubusercontent.com/mobilegmYT/93bc709e5db27452ec0591ae8782441f/raw/2952dc75c9be0cdf019b815bebc51cd23781d00b/install-32 > "${DIRECTORY}/apps/Wine (x86)/install-32"
wget -qO- https://gist.githubusercontent.com/mobilegmYT/93bc709e5db27452ec0591ae8782441f/raw/2952dc75c9be0cdf019b815bebc51cd23781d00b/uninstall > "${DIRECTORY}/apps/Wine (x86)/uninstall"
) &
(rm -rf "${DIRECTORY}/apps/Cordless") &
install() {
app="$1"
#terminal title text

Binary file not shown.

After

Width:  |  Height:  |  Size: 542 B

@ -11,10 +11,8 @@ DIRECTORY="$(readlink -f "$(dirname "$0")")"
if ! command -v yad >/dev/null;then
if [ -f /usr/bin/apt ];then
sudo apt update
sudo apt install -y yad
sudo apt install -y yad || error "Failed to install yad."
updated=1
elif [ -f /usr/bin/pacman ];then
sudo pacman -S yad
else
error "Failed to find any package manager to install yad."
fi
@ -29,7 +27,7 @@ if ! command -v git >/dev/null;then
if [ -z "$updated" ];then
sudo apt update
fi
sudo apt install -y git
sudo apt install -y git || error "Failed to install git."
else
error "Failed to find any package manager to install git."
fi

Loading…
Cancel
Save